DeluxHostAPI Reference
Invoices

Download an invoice PDF

GET
/v1/invoices/{id}/pdf

Byte-for-byte the document the dashboard serves.

Authorization

apiToken invoices:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: invoices:read

Path Parameters

id*integer

Response Body

The PDF.

response?fileapplication/pdf
Formatbinary
curl -X GET 'https://api.deluxhost.net/v1/invoices/0/pdf' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
"string"